> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Packing List Item

> This endpoint gets or creates a new packing list item.

### Body

<ParamField body="id" type="string">
  This is the id of the packing list item
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the packing list item
</ResponseField>

<ResponseField name="sku" type="string">
  This is the sku of the packing list item
</ResponseField>

<ResponseField name="description" type="string">
  This is the description of the packing list item
</ResponseField>

<ResponseField name="quantity" type="integer">
  This is the quantity of the packing list item
</ResponseField>

<ResponseField name="packing_list" type="string">
  This is the packing list of the packing list item
</ResponseField>

<ResponseField name="arrived" type="boolean">
  This is the arrived of the packing list item
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/packing_list_items/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1",
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    {
      "id": "1",
      "sku": "1",
      "description": "1",
      "quantity": 1,
      "packing_list": "1",
      "arrived": true
    }
  }
  ```
</ResponseExample>

## Packing List Item

| Name          | Type                       | Description                                        |
| ------------- | -------------------------- | -------------------------------------------------- |
| id            | Text (Primary Key, Unique) | Unique identifier for the packing list item        |
| sku           | Text                       | Stock Keeping Unit (SKU) for the packing list item |
| description   | Text                       | Description or additional details about the item   |
| quantity      | Integer                    | Quantity of the item in the packing list item      |
| packing\_list | Text                       | Identifier for the associated packing list         |
| arrived       | Boolen                     | Whether or not the packing list item has arrived   |
